Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl
Class PCLRenderingMode

    java.lang.Object
      org.apache.fop.render.pcl.PCLRenderingMode

All Implemented Interfaces:
  java.io.Serializable

public final class PCLRenderingMode
extends java.lang.Object
implements java.io.Serializable

Enumeration class for PCL rendering modes.

See Also:
  Serialized Form

Field Summary
`static PCLRenderingMode` | `BITMAP` "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)
`static PCLRenderingMode` | `QUALITY` "Quality" rendering (mixed native and bitmap for improved quality)
`static PCLRenderingMode` | `SPEED` "Speed" rendering (maximum speed with native rendering, reduced visual quality)

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`
`static PCLRenderingMode` | `valueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUALITY

    public static final PCLRenderingMode QUALITY

  "Quality" rendering (mixed native and bitmap for improved quality)

### SPEED

    public static final PCLRenderingMode SPEED

  "Speed" rendering (maximum speed with native rendering, reduced visual quality)

### BITMAP

    public static final PCLRenderingMode BITMAP

  "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### valueOf

    public static PCLRenderingMode valueOf(java.lang.String name)

  Returns the enumeration/singleton object based on its name.

  Parameters:
    `name` - the name of the enumeration value
  Returns:
    the enumeration object

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.